Subject: Ticket Assigned - late delivery / 9560455469
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 12 Mar 2022 11:59:35 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9560455469 Sadia                    Hi           03:34 PM, 12th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:34 PM, 12th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:34 PM, 12th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:34 PM, 12th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:34 PM, 12th Mar                     Sadia                    Order 9560455469           03:35 PM, 12th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            03:36 PM, 12th Mar                   New                   If you have any pictures that you would like to share, please do that.            03:36 PM, 12th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           03:36 PM, 12th Mar                     Sadia                    I have been receiving messages that my order is out for delivery but I am not receiving a call for delivery nor the delivery           03:37 PM, 12th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            03:43 PM, 12th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           03:51 PM, 12th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           03:51 PM, 12th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4012642